Subject: Re: Hackorum - a new mailing list frontend

From: Kai Wagner <[email-masked]>
Date: Fri, 23 Jan 2026 09:32:38 +0100

I've reworked the mobile view, so it should now be way easier to use
on smaller screens.

Please let me know how it looks and behaves, and if anyone is missing
anything, I'd be happy to help.

Kai

On Sat, Jan 17, 2026 at 10:28 PM Zsolt Parragi
<[email-masked]> wrote:
>
> Hello!
>
> Thank you for all the feedback so far!
>
>
>
> David Geier <[email-masked]> wrote:
>
> > - Threads with more than a couple of messages take a very long time to load
>
> While the performance stabilized after the initial issues, generally
> the speed of hackorum should be a lot faster now after a few
> performance fixes, both for the index and the topic views.
>
> > - I find it difficult to match the thread outline to the actual message. Making a visual connection between the thread outline and the currently viewed message would be helpful.
>
> Done! To be honest, I'm not entirely happy with the topic
> view/outline, but I also don't know how to make it significantly
> better.
>
> For now:
>
> * message headers include the same colors as the outline view
> * the currently visible message is highlighted in the outline
>
> I hope this helps match the two together.
>
> If you have any other ideas, please share, maybe we can make it even better.
>
>
>
> Marcos Pegoraro <[email-masked]> wrote:
>
> > Maybe an option to show in descending order and show only the first 10 or 20 messages
> > Sometimes there are hundreds of messages on that thread, so this way would be faster and would show the current status of it and not how it started.
>
> We had multiple listing options in an earlier version, but it can be
> confusing - the outline and the actual messages would go in a
> different order.
>
> But the idea about "showing the current status" sounds interesting,
> I'm playing with the idea of some automatic grouping based on date
> period (months/years) and automatically collapsing older entries
> (especially if all read already) could work.
>
>
>
> Nico Williams <[email-masked]> wrote:
>
> > This one feature in particular is very nice.  I wonder if you can make it so you can subscribe in the sense of being an approved sender but not in the sense of getting copies sent.
>
> I don't understand this question, subscribe where? If you mean to the
> mailing list, you can turn off receiving messages in the settings, and
> you can still continue sending emails. That's how I've been using the
> list since I started using hackorum. If I want to reply to a new
> thread where I don't have a local email yet, I'm using the "resend
> email" (paper plane icon) in hackorum to get an email, and then I can
> reply as normally from my email client.
>
> > A read-only IMAP/JMAP server might also be nice, especially if it could mark messages as read/replied-to/marked like this.  But yeah, the web interface is not limited by IMAP/JMAP and can do so much more.
>
> IMAP/JMAP are also much more complex than just marking messages read,
> I'm not sure how well that would work out. For now, we have the CSV
> import option, and I plan to release a downloadable script in the near
> future that generates CSVs using IMAP for initial status import.
>
>
>
> Other than the performance fix and outline change I mentioned above,
> hackorum now also has a button to download the latest patchset as a
> single tar.gz file for every topic.
>
> There is also a downloadable script that helps with adding it to a
> local git checkout automatically, works with all attachments, doesn't
> require a commitfest entry. It's available and documented at:
> https://hackorum.dev/help/hackorum-patch
>
>